// /routes/analysisRoutes.js
const express = require('express');
const router = express.Router();
const { getAnalysisData } = require('../controllers/analysisController');
const { verifyToken } = require('../middlewares/auth');

// GET /api/analysis?startDate=...&endDate=...
router.get('/', verifyToken, getAnalysisData);

module.exports = router; 